.ifnot hlp
.tt 10 
.HL 1 MODE SETTING 
.INDEX Mode setting 
.endif hlp
.LEFT MARGIN +5 
.if hlp.i-6;3 AUTOBREAK
.endif hlp
.bb
.s.tt5.i-5; _.AUTOBREAK ["characters-to-test"]
.i-5; _.AB ["characters-to-test"]
.s.x AUTOBREAK
This command allows automatic optional breaks after selected characters.
The selected characters are specified in a literal string.
.x Hyphenation
For example
you wish to have breaks after hyphens, so you issue the command _.AB '-'.
Then if the word self-deceit overflows the end of a line RNO can then
break the word after the hyphen.
Another use would be in tabulation.  For examples of this see the _.TAB RIGHT
command.
.s.tt5.i-5; _.NO AUTOBREAK ["characters-to-disable"]
.i-5;_.NAB
.s.x NO>AUTOBREAK
This turns off the automatic break feature.
In addition any characters you wish to disable as autobreak characters may
be listed in a literal.
.eb
.if hlp.i-6;3 AUTOPARAGRAPH
.endif hlp
.s.tt5.i-5;  _.AUTOPARAGRAPH 
.i-5; _.AP 
.s.x AUTOPARAGRAPH 
causes any blank line or any line starting with a space or tab to 
be considered as the start of a new paragraph. 
This command allows normally typed text to be justified without 
special commands. It does not cause a paragraph if blank lines 
are followed by a command.  This command works only if FILL is enabled.
When AUTOPARAGRAPH is enabled all tabs at the start of a line are removed
except in NOFILL mode.
.s.tt5.i-5;  _.NO AUTOPARAGRAPH 
.i-5;   _.NAP 
.skip 
.x NO>AUTOPARAGRAPH 
disengages the AUTOPARAGRAPH mode. 
.if hlp.i-6;3 AUTOHYPHENATE
.endif hlp
.bb
.tt 6.s.i-5;   _.AUTOHYPHENATE [minsp]
.I-5; _.AH  [minsp]
.S.X AUTOHYPHENATE
.x Hyphenation
turns on automatic hyphenation.  When it is on RNO will automatically hyphenate
words wherever necessary.  If _.DISABLE HYPHENATION is used all hyphenation 
including autohyphenation is disabled, until _.ENABLE HYPHENATION is 
issued.  Autohyphenation is enabled initially so this command need not be 
used, unless the _.NO AUTOHYPHENATE command has been used.
The autohyphenation follows the normal rules of style.  A hyphenated word
will always leave at least 2 letters on the end of first line, and at least
3 on the beginning of the next.
The hyphenation parameter may be used to
control the hyphenation to make it more pleasing.
.br;minsp = The minimum number of characters before the end of the line.
In other words if
minsp=7 a word will not be automatically hyphenated unless the number of 
characters in it is 7 or more and at least 6 characters occurr to the left 
side of the right margin.
Large values of minsp inhibit all but very long words from being hyphenated,
while the value 3 allows hyphenation of all words consistent with the
rules of style.
.br;The default is _.AH 3
.br;If minsp is omitted, the previous value is kept.
.p;For more information see _.ENABLE HYPHENATION.
.eb
.tt 6.S.I-5; _.NO AUTOHYPHENATE 
.I-5; _.NAH 
.S.x NO>AUTOHYPHENATE 
turns off autohyphenation.  When it is off user selectable hyphenation may
still be used.  Note that autohyphenation may be turned off temporarily for 1
word by preceeding it with the hyphenate flag. 
.if hlp.i-6;3 AUTOTITLE
.endif hlp

.s.tt5.i-5; _.AUTOTITLE
.i-5; _.AT
.s.x AUTOTITLE
This command enables automatic titles.  Everytime you give a _.CHAPTER
or _.APPENDIX command the chapter or appendix title will be used as the
title at the top of the page.  This is the normal default so it is no
necessary to give this command.
.s.tt5.i-5; _.NO AUTOTITLE
.I-5; _.NAT
.S.x NO>AUTOTITLE
turns off the autotitle mode.  When off the _.CHAPTER or _.APPENDIX commands
will not automatically generate titles.
.if hlp.i-6;3 AUTOSUBTITLE
.endif hlp

.S.tt5.I-5; _.AUTOSUBTITLE [+-n]
.I-5; _.AST [+-n]
.S.X AUTOSUBTITLE
Turns on autosubtitling.  When this is on each header level command lower than
n sets the subtitle to the current header level title.
The default for n is 1.
.s.tt4.i-5; _.NO AUTOSUBTITLE
.i-5; _.NAST
.s.x NO>AUTOSUBTITLE
Turns off autosubtitling.  This is the normal default.
.if hlp.i-6;3 BEGIN__BAR
.endif hlp
.s.tt6.i-5;   _.BEGIN BAR 
.i-5; _.BB 
.s.x BEGIN BAR 
Causes the change bar to be printed in the document.  It will be printed
until a _.END BAR command is encountered.
.s.tt5.i-5;   _.END BAR 
.i-5; _.EB
.s.x END BAR 
This command stops the printing of change bars.
.if hlp.i-6;3 FILL
.endif hlp
.s.tt10.i-5;   _.FILL 
.i-5; _.F 
.s.x FILL 
Causes a break and specifies that subsequent output lines be 
filled (inital setting).  Sets the justification mode to be that specified by 
the last appearance of JUSTIFY or NOJUSTIFY. 
FILL adds successive words from the source text until 
the adding of one more word will exceed the right margin. 
It stops before putting the last word in. 
(If hyphenation has not been disabled, 
RNO will attempt to break words which cause line overflow 
into syllables.) 
Normally the end of an input line is treated as a space unless the command
_.NO SPACE is used.
.s.tt5.i-5;   _.NO FILL 
.i-5; _.NF 
.s.x NO>FILL 
disengages the FILL and JUSTIFY modes. 
This command is used to permit typing a table. 
.if hlp.i-6;3 JUSTIFY
.endif hlp
.s.tt7.i-5;   _.JUSTIFY 
.i-5; _.J
.s.x JUSTIFY 
Causes a break and sets subsequent output lines to be justified 
(initial setting). 
The command increases the spaces between words until the last word 
exactly meets the right margin. 
.s.tt6.i-5;   _.NO JUSTIFY 
.i-5; _.NJ 
.s.x NO>JUSTIFY 
Causes a break and prevents justification of subsequent 
output lines to make a ragged right margin. 
.ifnot hlp
.skip 
.nt 
1.#The nofill-nojustify mode need be used only where there 
are several lines of material to be copied exactly.  A single 
line example will not require using these commands if there 
are breaks before and after. 
.skip 
2.#Normally FILL and NOFILL are used to turn both 
filling and justification on and off.  It is usually 
desirable to do both.  A subsequent appearance of a justification 
command will override the fill command however. 
.skip 
 
3.#Because of the action of FILL, a single occurrance of 
NOJUSTIFY will cause the remainder of the file to be 
unjustified, with filling as specified.  In order to justify 
but not fill (not recommended), a JUSTIFY command must 
follow every NOFILL  command. 
.en 
.endif hlp
.if hlp.i-6;3 KEEP
.endif hlp
.bb
.s.tt5.i-5;_.KEEP
.i-5;_.K
.s.x KEEP
This command allows you to keep blank lines while in _.FILL mode.  Normally
blank lines in the input are ignored
.s.tt5.i-5;_.NO KEEP
.i-5;_.NK
.s.x NO>KEEP
This command turns off _.KEEP so that blank lines in the input file are 
ignored.
.eb
.if hlp.i-6;3 LITERAL
.endif hlp
.S.tt5.I-5;   _.LITERAL 
.I-5;   _.LT 
.S.x LITERAL 
 turns off all flags and all features to permit printing of text 
exactly as it appears in the source file.  In addition all commands are 
disabled except for _.END LITERAL.  Commands appear in the output as if they 
were normal text. 
Blank lines are output instead of being ignored.  This command
is almost equivalent to the following sequence of commands.
.i5; _.NO FILL _.NO FLAGS ALL _.NO FLAGS CONTROL
.br; Unlike the sequence above the _.LITERAL command may be turned off by
the _.END LITERAL command.
.s.tt5.i-5;   _.END LITERAL 
.i-5;   _.ELI 
.s.x END LITERAL 
 is used at the end of a LITERAL to allow normal text 
processing again. 
This is the only command recognized after the _.LITERAL command.
It is equivalent to the following:
.I5; _.FLAGS CONTROL _.FLAGS ALL
.BR; In addition the fill mode is restored if it was in effect when 
the _.LITERAL command was issued.
.ifnot hlp
.s.tt5.i-5;   _.LOWER CASE 
.i-5; _.LC 
.s.x LOWER CASE 
sets the typeout mode to lower case. 
This command acts the same as typing two backslashes (_\_\). 
This command is not normally used unless your terminal lacks lower case.
.s.tt7.i-5;   _.UPPER CASE 
.i-5; _.UC 
.s.x UPPER CASE 
sets the output mode to upper case.  This comand acts 
the same as typing two circumflexes (_^_^). 
This is the default mode. 
There is no need to type this command unless the mode 
was previously altered to lower case. 
.endif hlp
.if hlp.i-6;3 PERIOD
.endif hlp
.s.tt5.i-5;   _.PERIOD 
.i-5;   _.PR 
.s.x PERIOD 
enables printing of two spaces after every punctuation that is 
followed by at least one separator character (initial setting). 
The legal punctuations are: 
.i5 ; _. ; : ? ! 
.br; If you wish to prevent 2 spaces from being inserted after one of these
punctuation marks you may insert a SPACE flag (_#) after the punctuation
rather than a space.
.s.tt5.i-5;_.NO PERIOD 
.i-5;_.NPR 
.s.x NO>PERIOD 
disengages conversion of punctuation/separator to punctuation/two spaces. 
.if hlp.i-6;3 NO__SPACE
.endif hlp
.s.tt5.i-5; _.NO SPACE
.i-5; _.NSP
.s.x NO>SPACE
This command may be used to join 2 filled lines without the normal space
in the output between them.  If _.FILL is engaged and you issue _.NO SPACE
after a line, the end of that line will not automatically generate a space
in the output _.DOC file.
.if hlp.i-6;3 SEPARATED__EQUATION
.endif hlp
.s.tt5.i-5;  _.SEPARATED EQUATION
.i-5;  _.SEQ
.s.x SEPARATED EQUATION
Begins separated equation mode.  In this mode an equation will automatically
generate extra lines to separate it properly from other equations or text.
This mode may not be used in a FOOTNOTE.
The restriction on this mode may be changed in future releases.
.s.tt5.i-5; _.END SEPARATED EQUATION
.i-5; _.ESEQ
.s.x END SEPARATED EQUATION
This ends the separated equation mode.  This is the normal default.  If
you format an equation with the SEPARATED EQUATION mode off and the equation
occupies more than the alloted spacing, it may print over other text.
.if hlp.i-6;3 UNDERLINE
.endif hlp
.bb
.tt 5.S.I-5;_.UNDERLINE "chars to underline"
.I-5;_.UN "chars to underline"
.S.x UNDERLINE
This command sets the specified characters as underlinable.  Normally all
characters other than spaces are underlinable.
For example you wish to underline spaces so you use the following command:
.i5;_.UNDERLINE " "
.tt 5.S.I-5;_.NO UNDERLINE "chars to not underline"
.I-5;_.NUN "chars to not underline"
.S.x NO>UNDERLINE
This command sets the specified characters as not underlinable.  Normally
only the space is not underlinable.   For example you do not wish to underline
common punctuation marks so you use the command:
.i5;_.NO UNDERLINE ".,?!;:"
.br;If you don't want to underline either the apostrophe or quotes:
.i5;_.NO UNDERLINE "'"  _.NO UNDERLINE '"'
.eb
.s.tt 5.I-5;_.UNDERLINE SPACES 
.S.x UNDERLINE SPACES 
sets RUNOFF to underline the spaces imbedded in a line of text to be 
underlined. This is the same as _.UNDERLINE " ".
.s.tt 5.i-5;_.UNDERLINE NO SPACES 
.S.X UNDERLINE NO SPACES 
set RUNOFF to not underline spaces imbedded in a line of text.  This is 
the normal option. This command is the same as _.NO UNDERLINE " ".
.bb
.if hlp.i-6;3 VARIABLE SPACING
.endif hlp
.s.tt5.i-5;_.VARIABLE SPACING
.i-5;_.VARSP
.s.x VARIABLE SPACING
this command enables the variable spacing mode.  In this mode RNO uses 
microspaces to pad out spaces between words for a justified line.  To use
this your printer must either be DIABLO compatible or you must define an
appropriate escape sequence for variable spacing via the
_.DEFINE VARIABLE SPACE command.
This command should not be confused with proportional spacing.  Each letter
is still assumed to accupy the same amount of physical space unlike
a proportionally spaced font.
.note
When using _.VARIABLE SPACING and _.UNDERLINE"#" switch /UL:L will not work
correctly.  Gaps will be left in the underlining at each variable spacing
point.  For such cases /UL:B is recommended.
.en
.s.tt5.tt-5;_.NO VARIABLE SPACING
.i-5;_.NVARSP
.s.x NO>VARIABLE SPACING
this disables the variable spacing mode.
.eb
